Bug 33576 - smb mounted shares are dropped
Summary: smb mounted shares are dropped
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-28 06:26 UTC by Matt Selsky
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Selsky 2001-03-28 06:26:13 UTC
From Bugzilla Helper:

Shares mounted off my NT box are dropped after a period of unactivity.

Reproducible: Always
Steps to Reproduce:
1. Mount a NT share via smbmount
2. Wait a while
3. Try to use the share.
	

Actual Results:  From dmesg:

smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=1069, generation=2
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=1069, generation=3
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=1069, generation=4
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=1069, generation=5
smb_trans2_request: result=-32, setting invalid
smb_lookup: find //03-27-2001.tgz failed, error=-32
smb_lookup: find //03-24-2001.tgz failed, error=-5
smb_lookup: find //03-26-2001.tgz failed, error=-5
caught signal
smb_retry: signal failed, error=-3
smb_retry: signal failed, error=-3
smb_retry: signal failed, error=-3
smb_retry: signal failed, error=-3
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=8536, generation=2
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=8536, generation=3


Expected Results:  You should be able to use the share.

According to:

http://faqchest.dynhost.com/linux/samba-l/smb-00/smb-0009/smb-
000900/smb00092312_20182.html

This is a problem with the smbfs kernel code in kernels before 2.2.18  The 
ChangeLog in 2.2.18 makes references to bugfixes in smbfs.  A new RedHat 
2.2.18 kernel should solve this problem.

Comment 1 Matt Selsky 2001-05-13 20:21:51 UTC
I upgraded to the new 2.2.19 kernel rpm and the remounting problem seems to have
gone away.  However, I'm still getting the similar messages in demsg:

smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=804, generation=42
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=804, generation=43
smb_trans2_request: result=-32, setting invalid
smb_retry: sucessful, new pid=804, generation=44

Comment 2 Bugzilla owner 2004-09-30 15:38:56 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.